package org.dromara.mall.product.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.mall.product.domain.bo.MallProductBo;
import org.dromara.mall.product.domain.vo.MallProductVo;

import java.util.Collection;
import java.util.List;

/**
 * 商品Service接口
 *
 * @author pengles
 */
public interface MallProductService {

    /**
     * 查询商品
     */
    MallProductVo queryById(Long id);

    /**
     * 查询商品列表
     */
    TableDataInfo<MallProductVo> queryPageList(MallProductBo bo, PageQuery pageQuery);

    /**
     * 查询商品列表
     */
    List<MallProductVo> queryList(MallProductBo bo);

    /**
     * 新增商品
     */
    Boolean insertByBo(MallProductBo bo);

    /**
     * 修改商品
     */
    Boolean updateByBo(MallProductBo bo);

    /**
     * 校验并批量删除商品信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

}